// BAS f - ShackTactical - setGroupIDs
// Version: 0-0-3 (2007-09-10)
// Author(s): Kevb0 | zx64 | Fer | Messiah2
// ====================================================================================

// Automatically assigns intelligible names to groups in BLUFOR, Resistance and OPFOR:

#include "f_preprocessorUtil.h"

#define f_SETGROUP(f_DESC,f_SUFFIX)                             \
    {                                                           \
        if (typeName _x == "ARRAY") then {                      \
            {_x setGroupID [f_DESC,"groupColor0"];} forEach _x; \
        }                                                       \
    } forEach [units f_CAT(GrpBLU_,f_SUFFIX), units f_CAT(GrpRES_,f_SUFFIX), units f_CAT(GrpOPF_,f_SUFFIX)];

#define f_PLT(N) f_CAT(N,Plt)
#define f_PLT_S(N) f_STR(f_CAT(f_PLT(N), ))
#define f_PLT_G(N) f_CAT(f_PLT(N),_)

#define f_SETSQUAD(f_PLATOON,f_NAME,f_INITIAL)                                                             \
    f_SETGROUP(f_PLT_S(f_PLATOON) + f_STR(f_NAME) + " SL",f_CAT(f_PLT_G(f_PLATOON),f_NAME))                \
    f_SETGROUP(f_PLT_S(f_PLATOON) + f_STR(f_NAME) + " FT1",f_CAT(f_PLT_G(f_PLATOON),f_CAT(f_INITIAL,1)))   \
    f_SETGROUP(f_PLT_S(f_PLATOON) + f_STR(f_NAME) + " FT2",f_CAT(f_PLT_G(f_PLATOON),f_CAT(f_INITIAL,2)))   \
    f_SETGROUP(f_PLT_S(f_PLATOON) + f_STR(f_NAME) + " FT3",f_CAT(f_PLT_G(f_PLATOON),f_CAT(f_INITIAL,3)))

// 1Plt
f_SETSQUAD(1,Alpha,A);
f_SETSQUAD(1,Bravo,B);
f_SETSQUAD(1,Charlie,C);
f_SETSQUAD(1,Delta,D);
f_SETSQUAD(1,Echo,E);
f_SETSQUAD(1,Fox,F);
f_SETGROUP("1Plt CO",1Plt_PltHQ);

//===================================================================================== 

if (true) exitWith {};
